App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
app::Matrix3x3 Class Reference

`#include <TTransform.hpp>`

## Public Member Functions
| Matrix3x3 ()
| Matrix3x3 (double aa11, double aa12, double aa13, double aa21, double aa22, double aa23, double aa31, double aa32, double aa33)

## Static Public Member Functions
static Matrix3x3 | multiply (const Matrix3x3 &m1, const Matrix3x3 &m2)
static Matrix3x3 | inverseOf (const Matrix3x3 &m)
static Matrix3x3 | transposeOf (const Matrix3x3 &m)

## Public Attributes
double | a11
double | a12
double | a13
double | a21
double | a22
double | a23
double | a31
double | a32
double | a33

## Detailed Description

Definition at line 28 of file TTransform.hpp.

## Constructor & Destructor Documentation

app::Matrix3x3::Matrix3x3 | ( |  | ) |
| inline

Definition at line 36 of file TTransform.hpp.

{};

app::Matrix3x3::Matrix3x3 | ( | double | aa11,
|  | double | aa12,
|  | double | aa13,
|  | double | aa21,
|  | double | aa22,
|  | double | aa23,
|  | double | aa31,
|  | double | aa32,
|  | double | aa33
| ) |  |
| inline

Definition at line 38 of file TTransform.hpp.

{
a11 = aa11;
a12 = aa12;
a13 = aa13;
a21 = aa21;
a22 = aa22;
a23 = aa23;
a31 = aa31;
a32 = aa32;
a33 = aa33;
}

## Member Function Documentation

static Matrix3x3 app::Matrix3x3::inverseOf | ( | const Matrix3x3 & | m | ) |
| inlinestatic

Definition at line 70 of file TTransform.hpp.

{
Matrix3x3 r;
double factor = 1 / (m.a11 * (m.a22 * m.a33 - m.a23 * m.a32) - m.a12 * (m.a21 * m.a33 - m.a23 * m.a31) + m.a13 * (m.a21 * m.a32 - m.a22 * m.a31));
r.a11 = (m.a22 * m.a33 - m.a23 * m.a32) * factor;
r.a12 = (m.a13 * m.a32 - m.a12 * m.a33) * factor;
r.a13 = (m.a12 * m.a23 - m.a13 * m.a22) * factor;
r.a21 = (m.a23 * m.a31 - m.a21 * m.a33) * factor;
r.a22 = (m.a11 * m.a33 - m.a13 * m.a31) * factor;
r.a23 = (m.a13 * m.a21 - m.a11 * m.a23) * factor;
r.a31 = (m.a21 * m.a32 - m.a22 * m.a31) * factor;
r.a32 = (m.a12 * m.a31 - m.a11 * m.a32) * factor;
r.a33 = (m.a11 * m.a22 - m.a12 * m.a21) * factor;
return r;
}

static Matrix3x3 app::Matrix3x3::multiply | ( | const Matrix3x3 & | m1,
|  | const Matrix3x3 & | m2
| ) |  |
| inlinestatic

Definition at line 52 of file TTransform.hpp.

{
Matrix3x3 r;
r.a11 = m1.a11 * m2.a11 + m1.a12 * m2.a21 + m1.a13 * m2.a31;
r.a12 = m1.a11 * m2.a12 + m1.a12 * m2.a22 + m1.a13 * m2.a32;
r.a13 = m1.a11 * m2.a13 + m1.a12 * m2.a23 + m1.a13 * m2.a33;
r.a21 = m1.a21 * m2.a11 + m1.a22 * m2.a21 + m1.a23 * m2.a31;
r.a22 = m1.a21 * m2.a12 + m1.a22 * m2.a22 + m1.a23 * m2.a32;
r.a23 = m1.a21 * m2.a13 + m1.a22 * m2.a23 + m1.a23 * m2.a33;
r.a31 = m1.a31 * m2.a11 + m1.a32 * m2.a21 + m1.a33 * m2.a31;
r.a32 = m1.a31 * m2.a12 + m1.a32 * m2.a22 + m1.a33 * m2.a32;
r.a33 = m1.a31 * m2.a13 + m1.a32 * m2.a23 + m1.a33 * m2.a33;
return r;
}

static Matrix3x3 app::Matrix3x3::transposeOf | ( | const Matrix3x3 & | m | ) |
| inlinestatic

Definition at line 90 of file TTransform.hpp.

{
Matrix3x3 r;
r.a11 = m.a11;
r.a12 = m.a21;
r.a13 = m.a31;
r.a21 = m.a12;
r.a22 = m.a22;
r.a23 = m.a32;
r.a31 = m.a13;
r.a32 = m.a23;
r.a33 = m.a33;
return r;
}

## Member Data Documentation

double app::Matrix3x3::a11

Definition at line 31 of file TTransform.hpp.

double app::Matrix3x3::a12

Definition at line 31 of file TTransform.hpp.

double app::Matrix3x3::a13

Definition at line 31 of file TTransform.hpp.

double app::Matrix3x3::a21

Definition at line 32 of file TTransform.hpp.

double app::Matrix3x3::a22

Definition at line 32 of file TTransform.hpp.

double app::Matrix3x3::a23

Definition at line 32 of file TTransform.hpp.

double app::Matrix3x3::a31

Definition at line 33 of file TTransform.hpp.

double app::Matrix3x3::a32

Definition at line 33 of file TTransform.hpp.

double app::Matrix3x3::a33

Definition at line 33 of file TTransform.hpp.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/jni/app/transform_new/TTransform.hpp